%define _hardened_build 1
%global clientversion 3.0.8.2
Name: argus
Version: 3.0.8.2
Release: 2%{?dist}
Summary: Network transaction audit tool
License: GPLv2+
Group: Applications/Internet
Url: http://qosient.com/argus
Source0: http://qosient.com/argus/src/%{name}-%{version}.tar.gz
Source1: http://qosient.com/argus/src/%{name}-clients-%{clientversion}.tar.gz
Source2: argus.service
Source3: README.fedora
Source4: argus.logrotate
#Patch0: argus-2.0.6.fixes.1-makefile.patch
#Patch1: argus-2.0.6.fixes.1-build.patch
# bpf_dump conflicts with a function with slightly different prototype (added
# const) in libpcap 1.0
#Patch2: argus-2.0.6.fixes.1-libpcap10.patch
#Patch3: argus-clients-2.0.6.fixes.1-makefile.patch
#Patch4: argus-clients-2.0.6.fixes.1-build.patch
#Patch5: argus-clients-2.0.6.fixes.1-print.patch
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units
Requires: logrotate
BuildRequires: cyrus-sasl-devel perl-generators tcp_wrappers flex bison ncurses-devel
BuildRequires: libpcap-devel zlib-devel
BuildRequires: systemd-units

%package clients
Summary: Client tools for argus network audit
Group: Applications/Internet

%description
Argus (Audit Record Generation and Utilization System) is an IP network
transaction audit tool. The data generated by argus can be used for a
wide range of tasks such as network operations, security and performance
management.

%description clients
Clients to the argus probe which process and display information.

%package devel
Summary: Header files for argus network audit
Group: Applications/Internet

%description devel
Header files for argus.


%prep
%setup -a0 -q
%setup -a1 -q
#%patch0 -p1
#%patch1 -p1
#%patch2 -p1
#pushd %{name}-clients-%{version}.1
#%patch3 -p1
#%patch4 -p1
#%patch5 -p1
#popd
%{__install} -p -m 0644 %{SOURCE3} .

%build
%configure --with-sasl=yes --prefix=%{_prefix}
%{__make} %{?_smp_mflags}
pushd %{name}-clients-%{clientversion}
%configure --with-sasl=yes --prefix=%{_prefix}
%{__make} %{?_smp_mflags}
popd

%install
%{__make} DESTDIR=%{buildroot} install
pushd %{name}-clients-%{clientversion}
%{__make} DESTDIR=%{buildroot} install
# avoid unwanted dependencies when using these as docs (clients package):
find support -type f -exec chmod a-x '{}' \;
popd
%{__rm} -rf %{buildroot}/%{_libdir}
%{__install} -d -m 0755 %{buildroot}/%{_localstatedir}/lib/argus/archive
%{__install} -D -m 0644 support/Config/argus.conf %{buildroot}/%{_sysconfdir}/argus.conf
%{__install} -D -m 0644 %{SOURCE2} %{buildroot}/%{_unitdir}/argus.service
# fix up argus.conf to a good default
%{__sed} -i 's|var/log/argus|var/lib/argus|' %{buildroot}/%{_sysconfdir}/argus.conf
%{__sed} -i 's|#ARGUS_BIND_IP|ARGUS_BIND_IP|' %{buildroot}/%{_sysconfdir}/argus.conf
%{__sed} -i 's|#ARGUS_ACCESS_PORT|ARGUS_ACCESS_PORT|' %{buildroot}/%{_sysconfdir}/argus.conf
# avoid unwanted dependencies when using these as docs (main package):
find support -type f -exec chmod a-x '{}' \;

rm -rf %{buildroot}/usr/share/doc/argus-clients-3.0/
mv %{buildroot}/usr/argus %{buildroot}%{_datadir}/argus

mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
%{__install} -p -D -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/logrotate.d/argus

%post
%systemd_post argus.service

%preun
%systemd_preun argus.service

%postun
%systemd_postun_with_restart argus.service

%files
%doc support bin/argusbug
%doc COPYING CREDITS INSTALL README VERSION
%config(noreplace) %{_sysconfdir}/argus.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/argus
%{_unitdir}/argus.service
%{_bindir}/argus*
%{_sbindir}/argus
%{_mandir}/man5/argus*
%{_mandir}/man8/argus*
%dir %{_localstatedir}/lib/argus
%dir %{_localstatedir}/lib/argus/archive

%files clients
%doc %{name}-clients-%{clientversion}/ChangeLog %{name}-clients-%{clientversion}/COPYING
%doc %{name}-clients-%{clientversion}/CREDITS %{name}-clients-%{clientversion}/INSTALL
%doc %{name}-clients-%{clientversion}/README %{name}-clients-%{clientversion}/VERSION
#%doc %{name}-clients-%{clientversion}/doc/CHANGES %{name}-clients-%{clientversion}/doc/FAQ
#%doc %{name}-clients-%{clientversion}/doc/HOW-TO %{name}-clients-%{clientversion}/doc/pdf
#%doc %{name}-clients-%{clientversion}/doc/README
%doc %{name}-clients-%{clientversion}/support
#%doc %{name}-clients-%{clientversion}/ragraph/ragraph.pl
# .pm checked for dependencies regardless of permissions
#%doc %{name}-clients-%{version}/contrib
%doc README.fedora
%{_bindir}/ra*
%{_sbindir}/ra*
%{_mandir}/man1/ra*
%{_mandir}/man5/ra*
%{_mandir}/man8/ra*
%{_datadir}/argus/

%files devel
%{_includedir}/argus/

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jun 07 2016 Jon Ciesla <limburgher@gmail.com> - 3.0.8.2-1
- 3.0.8.2, BZ 1341870.

* Mon May 02 2016 Jon Ciesla <limburgher@gmail.com> - 3.0.8-6
- Only have logrotate compress argus logs, not all logs. BZ 1332098.

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jan 04 2016 Jon Ciesla <limburgher@gmail.com> - 3.0.8-4
- Switch from cron to logrotate, BZ 1266304.
- Removed systemd migration cruft.

* Tue Sep 15 2015 Jon Ciesla <limburgher@gmail.com> - 3.0.8-3
- Introduce new systemd-rpm macros in argus spec file, BZ 850029
- Missing argus client: ragraph, BZ 1152650
- Add cron.daily rotation of argus data file, BZ 1219565
- remove executable permission bits from argus.service, BZ 1252117

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Sep 04 2014 Jon Ciesla <limburgher@gmail.com> - 3.0.8-1
- Latest upstream, BZ 1138240.

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.6.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 3.0.6.1-2
- Perl 5.18 rebuild

* Wed Feb 27 2013 Jon Ciesla <limburgher@gmail.com> - 3.0.6.1-1
- Latest upstream, BZ 915190.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Apr 12 2012 Jon Ciesla <limburgher@gmail.com> - 3.0.4-2
- Add hardened build.

* Mon Mar 19 2012 Jon Ciesla <limburgher@gmail.com> - 3.0.4-1
- Latest upstream, BZ 575984.

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.6.fixes.1-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Sep  9 2011 Tom Callaway <spot@fedoraproject.org> - 2.0.6.fixes.1-22
- add missing systemd scriptlets

* Thu Sep  8 2011 Tom Callaway <spot@fedoraproject.org> - 2.0.6.fixes.1-21
- convert to systemd

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.6.fixes.1-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Oct 04 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 2.0.6.fixes.1-19
- Fix build with libpcap 1.0 (rename conflicting bpf_dump symbol, remove
  conflicting redeclaration of bpf_image)

* Wed Sep 30 2009 Gabriel Somlo <somlo at cmu.edu> - 2.0.6.fixes.1-18
- Rebuilt for libpcap.1.0

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.6.fixes.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.6.fixes.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.0.6.fixes.1-15
- Autorebuild for GCC 4.3

* Thu Aug 16 2007 Gabriel Somlo <somlo at cmu.edu> 2.0.6.fixes.1-14
- fixed license

* Wed Nov 29 2006 Gabriel Somlo <somlo at cmu.edu> 2.0.6.fixes.1-13
- rebuilt against libpcap 0.9.5

* Fri Sep 08 2006 Gabriel Somlo <somlo at cmu.edu> 2.0.6.fixes.1-12
- rebuilt for FC6MassRebuild

* Thu Jun 29 2006 Gabriel Somlo <somlo at cmu.edu> 2.0.6.fixes.1-11
- buildreq. libpcap up to fc5, libpcap-devel in fc6 and later

* Fri Apr 21 2006 Gabriel Somlo <somlo at cmu.edu> 2.0.6.fixes.1-10
- bumped release to workaround botched CVS tag attempt

* Fri Apr 21 2006 Gabriel Somlo <somlo at cmu.edu> 2.0.6.fixes.1-9
- daemon patches now eliminate unused common files: argus_parse.c, argus_util.c, and argus_auth.c

* Mon Mar 20 2006 Gabriel Somlo <somlo at cmu.edu> 2.0.6.fixes.1-8
- added ncurses-devel build requirement

* Wed Mar 15 2006 Gabriel Somlo <somlo at cmu.edu> 2.0.6.fixes.1-7
- fixed argus makefile patch

* Fri Mar 10 2006 Gabriel Somlo <somlo at cmu.edu> 2.0.6.fixes.1-6
- argus.conf now enables listening for connections on localhost
- added README.fedora to clients subpackage explaining contrib situation and ra printing patch

* Wed Mar 08 2006 Gabriel Somlo <somlo at cmu.edu> 2.0.6.fixes.1-5
- added patch from Peter Van Epp <vanepp@sfu.ca> to fix ra printing bugs

* Mon Mar 06 2006 Gabriel Somlo <somlo at cmu.edu> 2.0.6.fixes.1-4
- removing execute flag from all documentation
- capture file location changed /var/argus -> /var/lib/argus
- init script set to default-disabled

* Sun Mar 05 2006 Gabriel Somlo <somlo at cmu.edu> 2.0.6.fixes.1-3
- backed out of __perl_requires redefine for .pm files - trouble w. rpmbuild

* Fri Feb 24 2006 Gabriel Somlo <somlo at cmu.edu> 2.0.6.fixes.1-2
- empty perl_req/prov avoids .pm's in %doc from being dep-checked at all
- misc spec file fixes

* Fri Feb 24 2006 Gabriel Somlo <somlo at cmu.edu> 2.0.6.fixes.1-1
- initial build for fedora extras
